/**
 * Title:           ArcSDEConnectionParams, $Header: /share/gdi/SDI-Suite/Repository/projekte/BSH-GDI/genericViewer/src/main/java/de/conterra/bsh/gdi/gnviewer/datasources/sde/ArcSDEConnectionParams.java,v 1.1 2007/11/22 07:40:11 blume Exp $
 * Source:          $Source: /share/gdi/SDI-Suite/Repository/projekte/BSH-GDI/genericViewer/src/main/java/de/conterra/bsh/gdi/gnviewer/datasources/sde/ArcSDEConnectionParams.java,v $
 * created by:      Stefan Blume (blume)
 * erstellt am:     22.11.2007
 * Copyright:       con terra GmbH, 2005
 *
 * modified by:     $Author: blume $
 * modified on:     $Date: 2007/11/22 07:40:11 $
 * Version:         $Revision: 1.1 $
 * TAG:             $Name:  $
 * locked from:     $Locker:  $
 * CVS State:       $State: Exp $
 * Project:         $ProjectName$
 */
package de.intevation.gnv.geobackend.sde.datasources;

import org.apache.log4j.Logger;

/**
 * The class <code>ArcSDEConnectionParams</code> fulfills the following purposes:
 * <ol>
 * <li></li>
 * </ol>
 *
 * @author blume
 * @version 1.0
 * @serial 1.0
 * @see
 * @since 22.11.2007 08:10:11
 */
public class ArcSDEConnectionParams {

    /**
     * Default Logging instance
     */
    private static Logger sLogger = Logger.getLogger(ArcSDEConnectionParams.class);
    private static boolean sDebug = sLogger.isDebugEnabled();

    private String mServer;
    private int mInstance;
    private String mDatabase;
    private String mUser;
    private String mPwd;
    private int mInitConnections;
    private int mMaxConnections;
    private long mTimeToHold;

    public ArcSDEConnectionParams(String pServer, int pInstance, String pDatabase, String pUser, String pPwd, int pInitConnections, int pMaxConnections, long pTimeToHold) {
        mServer = pServer;
        mInstance = pInstance;
        mDatabase = pDatabase;
        mUser = pUser;
        mPwd = pPwd;
        mMaxConnections = pMaxConnections;
        mInitConnections = pInitConnections;
        mTimeToHold = pTimeToHold;
    }


    public String getServer() {
        return mServer;
    }

    public int getInstance() {
        return mInstance;
    }

    public String getDatabase() {
        return mDatabase;
    }

    public String getUser() {
        return mUser;
    }

    public String getPwd() {
        return mPwd;
    }

    public int getInitConnections() {
        return mInitConnections;
    }

    public int getMaxConnections() {
        return mMaxConnections;
    }

    public long getTimeToHold() {
        return mTimeToHold;
    }
}
